GOID-TOOL(1)

NAME
goid-tool - smart card utility for GoID fingerprint card

SYNOPSIS

goid-tool [OPTIONS] [mode]

DESCRIPTION

The goid-tool utility can be used from the command line to read and write data of the GoID fingerprint card[1].

OPTIONS

--help, -h
    Print help message on screen.

--version, -V
    Print the OpenSC package release version.

--reader string, -r string
    Specify the number of the reader to use. By default, the first reader with present card is used. If the argument is an ATR, the reader with a matching card will be chosen.

--verbose, -v
    Cause goid-tool to be more verbose. Use it multiple times to be even more verbose.

--verify-pin, -p
    Verify PIN.

--verify-bio, -b
    Verify finger print.

--verify-pin-or-bio
    Verify PIN or finger print (user's choice).

OPTIONS FOR SOCMANAGER APPLET

--new-pin
    Change PIN

--new-bio
    Use (several times) to change one or more biometric templates

--info
    Dump Information about the SoCManager's configuration

OPTIONS FOR PACCESS APPLET

--certificate filename, -c filename
    Use (several times) to pass CV certificates

--key, -k,
    Private key for the CV certificate

--print-cardid
    Print the card ID

--write-cardid data
    Write the specified card ID

--print-paccessid
    Print the PAccess ID

--write-paccessid data
    Write the specified PAccess ID

--read-dg id
    Read the specified data group; use several times to read out multiple files

--out-file filename
    Write output to a file instead of printing it; use once for each use of --read-dg

--write-dg id
    Write the specified data group; use several times to write multiple files

--in-file filename
    Read input from a file; use once for each use of --write-dg

--delete-dg id
    Delete the specified data group; use several times to delete multiple files

--create-dg id
    Create the specified data group; use several times to create multiple files

--new-size size
    File size of newly created DGs

--new-read-ac condition
    Access condition for reading newly created DGs

--new-read-ac condition
    Access condition for reading newly created DGs

--new-read-ac-chatbit index
    Required access bit in certificate's CHAT for reading newly created DGs

--new-write-ac condition
    Access condition for writing newly created DGs

--new-write-ac-chatbit index
    Required access bit in certificate's CHAT for writing newly created DGs

SEE ALSO

opensc.conf(5)

AUTHORS

goid-tool was written by Frank Morgner <frankmorgner@gmail.com>.

NOTES

1.  GoID fingerprint card
    https://github.com/OpenSC/OpenSC/wiki/GoID-fingerprint-card